package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.CmsArticleFile;
import com.goldenwater.slgc.mapper.CmsArticleFileMapper;
import com.goldenwater.slgc.service.CmsArticleFileService;

/** 内容文件 业务实现 */
@Service
public class CmsArticleFileServiceImpl implements CmsArticleFileService {
    @Autowired
    private CmsArticleFileMapper cmsArticleFileMapper;

    @Override
    public List<CmsArticleFile> selectCmsArticleFileList(CmsArticleFile cmsArticleFile) {
        return cmsArticleFileMapper.selectCmsArticleFileList(cmsArticleFile);
    }

    @Override
    public CmsArticleFile selectCmsArticleFileById(String fileId) {
        return cmsArticleFileMapper.selectCmsArticleFileById(fileId);
    }

    @Override
    public int deleteCmsArticleFileByIds(String[] fileIds) {
        return cmsArticleFileMapper.deleteCmsArticleFileByIds(fileIds);
    }

    @Override
    public int insertCmsArticleFile(CmsArticleFile cmsArticleFile) {
        return cmsArticleFileMapper.insertCmsArticleFile(cmsArticleFile);
    }

    @Override
    public int updateCmsArticleFile(CmsArticleFile cmsArticleFile) {
        return cmsArticleFileMapper.updateCmsArticleFile(cmsArticleFile);
    }

    @Override
    public int deleteByAid(String aid) {
        return cmsArticleFileMapper.deleteByAid(aid);
    }
}
